﻿using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;
using System.Diagnostics;
using System.Drawing;
using System.Text;

GcPdfDocument doc = new GcPdfDocument();
Page page = doc.NewPage();

string[] files = new string[]
{
    "Acrobat.png"
};

StringBuilder sb = new StringBuilder();
foreach (var fn in files)
    sb.AppendLine(fn);

//Add string related to the attachment names

//Add attachments
foreach (string fn in files)
{
    string file = Path.Combine("Resources", fn);
    FileSpecification fspec = FileSpecification.FromEmbeddedFile(
                              EmbeddedFileStream.FromFile(doc, file));
    doc.EmbeddedFiles.Add(file, fspec);
}
//Save the document
doc.Save("DocAttachment.pdf");
Process.Start(new ProcessStartInfo() { FileName = "DocAttachment.pdf", UseShellExecute=true });